VeraCrypt
aboutsummaryrefslogtreecommitdiff
path: root/src/Setup
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2019-11-08 09:17:30 (GMT)
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2019-11-08 23:26:14 (GMT)
commit8c6838e85c242783e70dfadadf989fbf3c86a312 (patch)
tree40750772a95d435e554c583608b742221b5c6663 /src/Setup
parent8d24022bda960f17129c455b9debf1e97a21bddc (diff)
downloadVeraCrypt-8c6838e85c242783e70dfadadf989fbf3c86a312.zip
VeraCrypt-8c6838e85c242783e70dfadadf989fbf3c86a312.tar.gz
Linux: during uninstall, output error message to STDERR instead of STDOUT for better compatibility with package managers
Diffstat (limited to 'src/Setup')
-rw-r--r--src/Setup/Linux/veracrypt-uninstall.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/Setup/Linux/veracrypt-uninstall.sh b/src/Setup/Linux/veracrypt-uninstall.sh
index e29dbcc..bc74eb0 100644
--- a/src/Setup/Linux/veracrypt-uninstall.sh
+++ b/src/Setup/Linux/veracrypt-uninstall.sh
@@ -1,6 +1,6 @@
#!/bin/sh
V="$(mount | grep veracrypt_aux_mnt)"
-[ "$V" ] && echo Error: All volumes must be dismounted first. && exit 1
+[ "$V" ] && echo Error: All volumes must be dismounted first. >&2 && exit 1
rm -f /usr/bin/veracrypt
rm -f /usr/share/applications/veracrypt.desktop